Subject: [Cbor] File extension for cbor sequences

From: Carsten Bormann <[email-masked]>
Date: Wed, 25 Sep 2019 15:15:11 +0200

This is now actually the last thing missing before I can declare that all IESG comments have been addressed.  

RFC 7049 defines .cbor as the file extension for single encoded CBOR data items.

draft-ietf-cbor-sequence doesn’t define one, because it copied that RFC 7464 (JSON Text Sequences) doesn’t define one, not because of some actual thinking about the question.

Do we want to go for .cborseq?  Better ideas?  Probably not .csq (*)?  Since this is bike-shedding, I’d like to timebox this decision (to today?).

Grüße, Carsten

(*) CSQ file is a Microsoft Visual FoxPro Client-Server Query File.
I think essentially all TLAs are taken.

> On Sep 3, 2019, at 21:09, Carsten Bormann <[email-masked]> wrote:
> 
>> 
>> Alexey Melnikov added the following comment to the history of draft-ietf-cbor-sequence
>> 
>> AD review:
>> 
>> This is a well written document. I have one (non blocking) question:
>> 
>> Any particular reason why file extension is not defined in Section 6.1?
> 
> Answer: Mindless copy/paste from RFC 7464 (JSON sequence).
> But definitely a very good point.
> 
> At the moment I have no obvious candidate; .cborseq is a bit long, but everything else is not “speaking” enough to me.
> 
> Grüße, Carsten
> 
> 
>> 
>> 
>> The document can be found at
>> I-D: <draft-ietf-cbor-sequence-01.txt>
>> Datatracker URL: https://datatracker.ietf.org/doc/draft-ietf-cbor-sequence/
>> 
>> 
>> 
> 
> 
>

---

From: "Paul Hoffman" <[email-masked]>
Date: Wed, 25 Sep 2019 06:49:42 -0700

On 25 Sep 2019, at 6:15, Carsten Bormann wrote:

> draft-ietf-cbor-sequence doesn’t define one, because it copied that 
> RFC 7464 (JSON Text Sequences) doesn’t define one, not because of 
> some actual thinking about the question.
>
> Do we want to go for .cborseq?  Better ideas?  Probably not .csq (*)?  
> Since this is bike-shedding, I’d like to timebox this decision (to 
> today?).

Preference: don't give one, just like JSON sequences.

--Paul Hoffman

---

From: Sean Leonard <[email-masked]>
Date: Wed, 25 Sep 2019 07:42:06 -0700

On 9/25/2019 6:49 AM, Paul Hoffman wrote:
>> Do we want to go for .cborseq?  Better ideas?  Probably not .csq 
>> (*)?  Since this is bike-shedding, I’d like to timebox this decision 
>> (to today?).
>

+1

Not .csq for aforementioned reasons.

While .cborseq is better, my preference is also to omit it entirely.

We don't need a repeat of .DER. (Where DER = Distinguished Encoding 
Rules but the file extension mainly is used for binary X.509 
certificates. A file extension that represents the actual data--rather 
than the generic encoding format--is preferable.)

Sean

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 25 Sep 2019 17:40:44 +0200

> Preference: don't give one, just like JSON sequences.

At the interim we just had, people agreed with you, so I’ll submit -02 as is, that is, without a file extension.

Grüße, Carsten